using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AprsSharp.Parsers.Aprs;
using GeoCoordinatePortable;
using skyscraper5.Aprs.AprsSharp;

namespace skyscraper5.Aprs.AprsStorage
{
	/// <summary>
	/// The APRS subsystem does not mess with descriptors, so it's not relevant for our plugin system testing.
	/// </summary>
	internal class AprsPluginSystemTestStorage : LX9SESStorage
	{
		public bool AprsPosition(DateTime currentTime, string packetSender, GeoCoordinate positionCoordinates, string piComment)
		{
			return false;
		}

		public bool AprsWeatherReport(DateTime currentTime, string packetSender, WeatherInfo wi)
		{
			return false;
		}

		public bool AprsStationCapabilities(string packetSender, StationCapabilities stationCapabilities)
		{
			return false;
		}

		public bool AprsGpsSentence(DateTime currentTime, string packetSender, double? course, double? magneticVariation, double? speed)
		{
			return false;
		}

		public void AprsMessage(string sender, DateTime currentTime, string receiver, string message)
		{
			
		}
	}
}
